import React, { useState } from 'react';
import styles from './DoubleRecord.module.scss';

import Logo from '../assets/img/aia-logo.jpg';
import IconHome from '../assets/img/home.png';

import TouchOpacity from '../components/TouchOpacity';

export default function(props) {
  const [imgSrc, setImgSrc] = useState('');

  const showPDF = () => {
    if (!window.aiaPDFPreView) {
      alert('window.aiaPDFPreView is not a function');
      return;
    }
    window.aiaPDFPreView('https://marsandheart.github.io/pdf/frontendKnowledge.pdf');
  };

  const showSign = () => {
    if (!window.aiaShowSignView) {
      alert('window.aiaShowSignView is not a function');
      return;
    }

    window.aiaShowSignView();
    window.aiaGetSignImage = (imgData) => {
      const obj = {
        method: 'aiaGetSignImage',
        param: imgData
      };
      setImgSrc(imgData);
      alert(JSON.stringify(obj));
    };
  };

  return (
    <div className={styles.page}>
      <div className={styles.header}>
        <img src={Logo} alt="logo" className={styles.aiaLogo}></img>
        <div>双录指引</div>
        <div className={styles.homeIcon}>
          <img src={IconHome} alt="logo"></img>
        </div>
      </div>
      <div className={styles.main}>
        <TouchOpacity className={styles.btn} onClick={showPDF}>
          PDF预览
        </TouchOpacity>
        <TouchOpacity className={styles.btn} onClick={showSign}>
          呼出签名视图
        </TouchOpacity>
        <div style={{ clear: 'both' }}></div>
        <div>签名图片展示:</div>
        <div>
          <img alt="签名图片" src={imgSrc}></img>
        </div>
      </div>
      {/* <div className={styles.main}>
        <div className={styles.stepArea}>steps</div>
        <div className={styles.questionArea}>questions</div>
      </div> */}
      <div className={styles.footer}>
        <div className={styles.footerBtn}>上一步</div>
        <div className={styles.footerBtn}>下一步</div>
      </div>
    </div>
  );
}
